Bug 88628 - /usr/bin/startkde gives error message on graphical login
/usr/bin/startkde gives error message on graphical login
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 12:08 EDT by John Tebbutt
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Tebbutt 2003-04-11 12:08:22 EDT
Description of problem:
False error notification on login: "Could not start kdeinit. Check your
installation."

Version-Release number of selected component (if applicable):
KDE 3.1 (as shipped with RHL 9)

How reproducible:
Upgrade to RHL 9 from RHL 7.3/KDE 3.0.3. KDE desktop and settings should be
inherited from previous installation.


Steps to Reproduce:
1. Select KDE desktop environment
2. Select graphical login with default system settings (ie no $HOME/Xclients, etc)
3. Login as normal.
    
Actual results:
On graphical login, after entering username and password, X window notification
appears in top left of screen, message: "Could not start kdeinit. Check your
installation." On clicking "OK", KDE starts normally.


Expected results:
KDE should start normally without the error notification.


Additional info:
The bug is in /usr/bin/startkde, line 231:

  LD_BIND_NOW=true kdeinit +kcminit +knotify

The call to kdeinit should be on a separate line.
Comment 1 Petr Rockai 2006-07-17 14:44:25 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 2 Bill Nottingham 2006-10-18 14:18:35 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.